html { cursor:default; }

/* == couleurs ==
#3399cc == bleu branding
#1abbe6
#00dcff == bleu rvb
#00abe6
#007acc == bleu mer
#1400c8 == violet
#7d00c8 == fuschia
#808B96 == gris
#566573 == gris plus foncé
*/

/* == Fonts */
.barlow-extralight {
  font-family: "Barlow", sans-serif;
  font-weight: 200;
  font-style: normal;
}
.barlow-light {
  font-family: "Barlow", sans-serif;
  font-weight: 300;
  font-style: normal;
}
.barlow-regular {
  font-family: "Barlow", sans-serif;
  font-weight: 400;
  font-style: normal;
}
.barlow-medium {
  font-family: "Barlow", sans-serif;
  font-weight: 500;
  font-style: normal;
}
.barlow-semibold {
  font-family: "Barlow", sans-serif;
  font-weight: 600;
  font-style: normal;
}
.barlow-bold {
  font-family: "Barlow", sans-serif;
  font-weight: 700;
  font-style: normal;
}

/* == header */
header {
    height: 100vh;
    position: relative;
    background: url(../img/bg/bg-xs-retina.webp) center center no-repeat;
    background-size: cover;
    overflow: hidden;
}
header::after {
    content: "";
    position: absolute;
    top: 0; left: 0;
    height: 100%; width: 100%;
    z-index: 1;
    background-color: rgba(51,153,204,.8);
    background-blend-mode: multiply;
    animation-name: bgcoloranim;
    animation-duration: 10s;
    animation-iteration-count: infinite;
}
header h1 {
    text-indent: -5000px;
    /*width: 138px; height: 40px;*/
    background: url(../img/svg/rm-logo-138x40-white.svg) no-repeat left center ; /* center center */
    margin-bottom: 2rem;
}
header h2 {
    font-size: 2.5rem;
    line-height: 2.5rem;
}
.header-content {
    position: relative;
    z-index: 2;
    margin-top: 2rem;
    padding-left: 0;
}
.header-content a {
    text-decoration: none;
}
header .h2-n1,
header .h2-n2,
header .h2-n3 {
    color: white;
}
.header-content a {
    color: white;
}

/*== #menu-anim */
#menu-anim li {
    font-size: 1.5rem;
}
#menu-anim a {
    position: relative;
    -webkit-transition: ease-in-out .25s; /* Safari */
    transition: ease-in-out .25s;
}
#menu-anim a span {
    position: absolute;
    left: 0; top: .825rem;;
    display: block;
    height: 2px;
    width: 0rem;
    background: white;
    opacity: 0;
    -webkit-transition: ease-in-out .25s; /* Safari */
    transition: ease-in-out .25s;
}
#menu-anim a:hover {
    padding-left: 2rem;
}
#menu-anim a:hover span {
    width: 1.5rem;
    opacity: 1;
}

/* == main */
section h3 {
    color: #808B96;
    font-size: 2.25rem;
    padding-bottom: 2.25rem;
    position: relative;
    margin-bottom: 1rem;
}
#slide-about h3::after,
#slide-skills h3::after {
    content: "";
    position: absolute;
    bottom : 1rem; 
    left: 25%; right: 25%;
    height: 1px; width: 50%;
    background-color: rgba(51,153,204,.8);
    background-blend-mode: multiply;
    animation-name: bgcoloranim;
    animation-duration: 10s;
    animation-iteration-count: infinite;
}
#slide-about {
    padding-top: 4rem;
    padding-bottom: 1rem;
}
#slide-about-parts p {
    text-align: left;
}
#slide-skills {
    padding-top: 2rem;
    padding-bottom: 2rem;
}
#slide-skills h4 {
    font-size: 1.25rem;
    color: #566573;
}
.btn-link-book {
    margin-bottom: 3rem;
}
.skills-parts-link {
    color: black;
    position: relative;
}
.skills-parts-link span {
    position: relative;
    z-index: 1;
}
.skills-parts-link i {
    -webkit-transition: ease-in-out .25s; /* Safari */
    transition: ease-in-out .25s;
}
.skills-parts-link:hover {
    color: black;
}
.skills-parts-link:hover i {
    color: #00dcff;
    padding-left: 1rem;
}
.skills-parts-link::before {
    position: absolute;
    bottom: -4px;
    left: 0;
    content: "";
    height: 25px;
    width: 25px;
    border-radius: 25px;
    background: #00dcff;
    z-index: 0;
    -webkit-transition: ease-in-out .25s; /* Safari */
    transition: ease-in-out .25s;
}
.skills-parts-link:hover::before {
    bottom: -7px;
    height: 4px;
    width: 50%;
    border-radius: 0px;
}
.skills-parts-link::after {
    position: absolute;
    bottom: -3px;
    left: 0;
    content: "";
    height: 0;
    width: 0px;
    background: black;
    z-index: 0;
    -webkit-transition: ease-in-out .25s; /* Safari */
    transition: ease-in-out .25s;
}
.skills-parts-link:hover::after {
    height: 2px;
    width: 100%;
}

/* == #slide-portfolio */
#slide-portfolio {
    background-color: rgba(0,25,50,1);
    animation-name: bgcolordarkanim;
    animation-duration: 10s;
    animation-iteration-count: infinite;
    padding-top: 4rem;
    padding-bottom: 4rem;
}
.links-portfolio {
    padding-top: 2rem;
}
.links-portfolio p {
    margin-top: 2rem;
    margin-bottom: 2rem;
}
.links-portfolio a {
    color: white;
    text-decoration: none;
    border-radius: 100px;
    padding: .75rem 1.5rem;
}
.links-portfolio .link-book-online,
.links-portfolio .link-book-pdf {
    background: #000;
}
.links-portfolio .link-book-online:hover,
.links-portfolio .link-book-pdf:hover {
    background-color: rgba(51,153,204);
    animation-name: btnlinksbookcoloranim;
    animation-duration: 1s;
}
.links-portfolio .link-book-online:hover .fa-laptop,
.links-portfolio .link-book-pdf:hover .fa-book { 
    color: black;
}

/* == footer */
footer {
    background-color: black;
    padding-top: 1rem;
}
footer p,
footer a {
    color: gray;
}
footer a:hover {
    color: white;
}
footer .copyright {
    font-size: .8rem
}
footer .linkedin {
    font-size: 1.5rem
}
footer span {
    display: none;
}

/* == @keyframes */
@keyframes bgcoloranim {
    0% { background-color: rgba(51,153,204,.8); background-blend-mode: multiply; } /* #3399cc*/
    16% { background-color: rgba(0,122,204,.8); background-blend-mode: multiply; } /* #007acc */
    33% { background-color: rgba(20,0,200,.8); background-blend-mode: multiply; } /* #1400c8 */
    66% { background-color: rgba(125,0,200,.8); background-blend-mode: multiply; } /* #7d00c8 */
}
@keyframes bgcolordarkanim {
    0% { background-color: rgba(0,25,50,1); } /* #001932 */
    50% { background-color: rgba(0,0,0,1); } /* #000000 */
}
@keyframes titlecoloranim-1 {
    0% { color: rgba(0,122,204,.8); } /* #007acc - 1*/
    33% { color: rgba(20,0,200,.8); } /* #1400c8 - 2*/
    66% { color: rgba(125,0,200,.8); } /* #7d00c8 - 3*/
}
@keyframes titlecoloranim-2 {
    0% { color: rgba(20,0,200,.8); } /* #1400c8 - 2*/
    33% { color: rgba(125,0,200,.8); } /* #7d00c8 - 3*/
    66% { color: rgba(0,122,204,.8); } /* #007acc - 1*/
}
@keyframes titlecoloranim-3 {
    0% { color: rgba(125,0,200,.8); } /* #7d00c8 - 3*/
    33% { color: rgba(0,122,204,.8); } /* #007acc - 1*/
    66% { color: rgba(20,0,200,.8); } /* #1400c8 - 2*/
}
@keyframes btnlinksbookcoloranim {
    0% { background-color: rgba(20,0,200,1); } /* #1400c8 */
    50% { background-color: rgba(51,153,204,1); } /* #3399cc */
}

/* == @media queries */
/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) {
    header {
        background: url(../img/bg/bg-sm-retina.webp) no-repeat center center;
        background-size: cover;
  }
}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {
    header {
        background: url(../img/bg/bg-md-retina.webp) center center no-repeat;
        background-size: cover;
    }
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {
    header {
        background: url(../img/bg/bg-lg-retina.webp) center center no-repeat;
        background-size: cover;
    }
    header::after {
        height: 0%; width: 0%;
    }     
    header h1 {
        background: url(../img/svg/rm-logo-138x40.svg) no-repeat left center;  
    }
    header .h2-n1 {
        color: #007acc;
        animation-name: titlecoloranim-1;
        animation-duration: 10s;
        animation-iteration-count: infinite;
    }
    header .h2-n2 {
        color: #1400c8;
        animation-name: titlecoloranim-2;
        animation-duration: 10s;
        animation-iteration-count: infinite;
    }
    header .h2-n3 {
        color: #7d00c8;
        animation-name: titlecoloranim-3;
        animation-duration: 10s;
        animation-iteration-count: infinite;
    }
    .header-content a {
        color: black;
    }
    #menu-anim li {
        font-size: 1rem;
    }
    #menu-anim a span {
        background: #3399cc;
        left: 0; top: .55rem;;
    }
    #menu-anim a:hover {
        padding-left: 1.5rem;
    }
    #menu-anim a:hover span {
        width: 1rem;
        opacity: 1;
    }
    footer span {
        display: inline;
    }
}

/* X-Large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {
    header {
        background: url(../img/bg/bg-xl-retina.webp) center center no-repeat;
        background-size: cover;
    }
    header h2 {
        font-size: 3rem;
        line-height: 3rem;
    }
}

/* XX-Large devices (larger desktops, 1400px and up) */
@media (min-width: 1400px) {
    header {
        background: url(../img/bg/bg-xl-retina.webp) center center no-repeat;
        background-size: cover;
    }
    header h2 {
        font-size: 3.5rem;
        line-height: 3.5rem;
    }
}